//
// Copyright (c) Graphcore Ltd. All rights reserved.
//
// Automatically generated file.
//
// Generated by: GenerateAttributes.py
// Input file: attributes.json
// Public attribute label declarations.

#ifndef _IPUATTRIBUTELABELS_H_
#define _IPUATTRIBUTELABELS_H_

#include <string>

/** IPU devices have attributes associated with them.  The definitions below
    describe the attribute and the key labels that can be used to retrieve the
    attribute values.

    Note not all attributes will be set for a given device. Some are set for
    specific device types only, where this is the case the relevant device type
    is indicated in brackets, for example (IPUoF). Attributes relating to the
    process using an IPU are only set when the IPU is in use.
*/

namespace IPUAttributeLabels {
  /// Unique identifier of a single-IPU or multi-IPU device.
  /// text: "id"
  extern const std::string DeviceId;
  /// Average temperature in degrees Celsius as read by the sensors on the board.
  /// text: "average board temp"
  extern const std::string AverageBoardTemp;
  /// Average temperature in degrees Celsius as read by IPU sensors.
  /// text: "average die temp"
  extern const std::string AverageDieTemp;
  /// IPU number on board (0-1 for PCIe cards, 0-3 for IPU-Machines).
  /// text: "board ipu index"
  extern const std::string BoardIpuIndex;
  /// The IPU board type 'family', for example C600 or M2000. Note: M2000 includes IPU-M2000 and Bow-2000.
  /// text: "board type"
  extern const std::string BoardType;
  /// Current clock frequency.
  /// text: "clock"
  extern const std::string ClockFrequency;
  /// PCIe driver version, specified as a <major.minor.patch> triple.
  /// text: "driver version"
  extern const std::string DriverVersion;
  /// (IPUoF) IPU-Gateway software version, specified as a <major.minor.patch> triple.
  /// text: "gateway software version"
  extern const std::string GatewaySoftwareVersion;
  /// (IPUoF) Graphcore Compile Domain ID.
  /// text: "gcd id"
  extern const std::string GcdId;
  /// Total remote-buffer memory available.
  /// text: "hexoatt total size (bytes)"
  extern const std::string HexoattTotalSize;
  /// Total remote buffer-memory in use by the IPU.
  /// text: "hexoatt active size (bytes)"
  extern const std::string HexoattActiveSize;
  /// Total host exchange memory available.
  /// text: "hexopt total size (bytes)"
  extern const std::string HexoptTotalSize;
  /// Total host exchange memory in use by the IPU.
  /// text: "hexopt active size (bytes)"
  extern const std::string HexoptActiveSize;
  /// IPU hardware architecture version.
  /// text: "ipu architecture"
  extern const std::string IpuArchitecture;
  /// (IPUoF) IP address of IPU-Gateway.
  /// text: "ipuof host"
  extern const std::string IpuofHost;
  /// (IPUoF) Fabric server version.
  /// text: "ipuof server version"
  extern const std::string IpuofServerVersion;
  /// Percentage of time spent waiting for one or more IPU syncs, measured in the last second.
  /// text: "ipu utilisation"
  extern const std::string IpuUtilisation;
  /// Percentage of time spent waiting for one or more IPU syncs since the HSPs were set up.
  /// text: "ipu utilisation (session)"
  extern const std::string IpuUtilisationSession;
  /// IPU Link correctable error count.
  /// text: "link correctable error count"
  extern const std::string LinkCorrectableErrorCount;
  /// (PCIe) PCIe link speed available.
  /// text: "link speed"
  extern const std::string LinkSpeed;
  /// (PCIe) Number of PCIe lanes available.
  /// text: "link width"
  extern const std::string LinkWidth;
  /// Maximum active code size (bytes).
  /// text: "max active code size (bytes)"
  extern const std::string MaxActiveCodeSize;
  /// Maximum active data size (bytes).
  /// text: "max active data size (bytes)"
  extern const std::string MaxActiveDataSize;
  /// Maximum active stack size (bytes).
  /// text: "max active stack size (bytes)"
  extern const std::string MaxActiveStackSize;
  /// Multi-IPU device the IPU belongs to.
  /// text: "multi-ipu device id"
  extern const std::string MultiIpuDeviceId;
  /// Method used to discover multi-IPU groups.
  /// text: "multi-ipu discovery method"
  extern const std::string MultiIpuDiscoveryMethod;
  /// NUMA node the IPU is on.
  /// text: "numa node"
  extern const std::string NumaNode;
  /// (IPUoF) Number of IPU-Link segments.
  /// text: "number of ipu-link segments"
  extern const std::string NumIpuLinkSegments;
  /// (IPUoF) Number of replicas in the partition.
  /// text: "number of replicas"
  extern const std::string NumReplicas;
  /// (IPUoF) partition ID.
  /// text: "ipuof partition id"
  extern const std::string PartitionId;
  /// (IPUoF) sync configuration type, for example 'c2-compatible'.
  /// text: "partition sync type"
  extern const std::string PartitionSyncType;
  /// PCIe device identifier.
  /// text: "pci id"
  extern const std::string PciId;
  /// PCIe physical slot.
  /// text: "pcie physical slot"
  extern const std::string PhysicalSlot;
  /// The start time of the process currently using the IPU.
  /// text: "process start time"
  extern const std::string ProcessStartTime;
  /// (IPUoF) Set to 1 if the IPU is part of a reconfigurable partition.
  /// text: "reconfigurable partition"
  extern const std::string ReconfigurablePartition;
  /// Set to 1 if remote buffers are supported.
  /// text: "remote buffers supported"
  extern const std::string RemoteBuffersSupported;
  /// Serial number of the board.
  /// text: "board serial number"
  extern const std::string SerialNumber;
  /// Total current power consumption as read by board level sensors.  Not used on IPU-Machines
  /// text: "total board power"
  extern const std::string TotalBoardPower;
  /// The name of the process using the device.
  /// text: "user executable"
  extern const std::string UserExecutable;
  /// The username of the user using the device.
  /// text: "user name"
  extern const std::string UserName;
  /// The process IDs of the process using the device.
  /// text: "user process id"
  extern const std::string UserProcessId;
  /// (IPUoF) GW-Link routing type.
  /// text: "gateway routing type"
  extern const std::string GatewayRoutingType;
  /// (IPUoF) Identifier of IPU-Link segment.
  /// text: "ipu link segment id"
  extern const std::string IpuLinkSegmentId;
  /// Number of Graph Compile Domains.
  /// text: "number of gcds"
  extern const std::string NumGcds;
  /// ICU Firmware version, specified as a <major.minor.patch> triple.  In development builds, this will be suffixed with branch and build information.
  /// text: "firmware version"
  extern const std::string FirmwareVersion;
  /// (IPUoF) Set if error occurred while attempting to communicate with the IPUoF server (a 'connection' error), or if the IPUoF server was unable to use the device (a 'device' error)
  /// text: "ipuof server error"
  extern const std::string IpuofServerError;
  /// (PCIe) Host Link correctable error count.
  /// text: "host link correctable error count"
  extern const std::string HostLinkCorrectableErrorCount;
  /// (IPUoF) IP address of the headnode where the application using this IPU is running.
  /// text: "application host"
  extern const std::string ApplicationHost;
  /// Error state of the IPU. Set to 'ipu memory failure' if the tile parity error thresholds have been exceeded.
  /// text: "ipu error state"
  extern const std::string IpuErrorState;
  /// Threshold for number of parity errors to promote to a unrecoverable error.
  /// text: "parity error count threshold"
  extern const std::string ParityErrorCountThreshold;
  /// Threshold in seconds at which 'num parity errors' are promoted to an uncorrectable error.
  /// text: "parity error threshold interval"
  extern const std::string ParityErrorThresholdInterval;
  /// (IPUoF) IPU-M software version.
  /// text: "ipum software version"
  extern const std::string IpumSoftwareVersion;
  /// Power consumption of a single IPU.  Only available on IPU-Machines
  /// text: "ipu power"
  extern const std::string IpuPower;
  /// IPU Link correctable error count since device was last reset.
  /// text: "link correctable error count (session)"
  extern const std::string LinkCorrectableErrorCountSession;
  /// (PCIe) Host-Link correctable error count since device was last reset.
  /// text: "host link correctable error count (session)"
  extern const std::string HostLinkCorrectableErrorCountSession;
  /// IPU board model name.  This will be identical to BoardType if this product only has a single variant.
  /// text: "board variant"
  extern const std::string BoardVariant;
  /// Gateway write combining status.
  /// text: "gateway write combining"
  extern const std::string GatewayWriteCombining;
  /// Set to 1 if the secondary interface is supported.
  /// text: "secondary pcie interface supported"
  extern const std::string SecondaryPcieInterfaceSupported;
  /// ICU bootloader version, specified as a <major.minor.patch> triple. In development builds, this will be suffixed with branch and build information.
  /// text: "icu bootloader version"
  extern const std::string ICUBootloaderVersion;
} // namespace IPUAttributeLabels

#endif // _IPUATTRIBUTELABELS_H_

