
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was graphcore_target_access-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set_and_check(GRAPHCORE_TARGET_ACCESS_BIN_DIR
    "${PACKAGE_PREFIX_DIR}/bin")

set_and_check(GRAPHCORE_TARGET_ACCESS_INCLUDE_DIR
    "${PACKAGE_PREFIX_DIR}/include")

set_and_check(GRAPHCORE_TARGET_ACCESS_LIB_DIR
    "${PACKAGE_PREFIX_DIR}/lib")

# Python is optional, don't abort if it's missing.
set(GRAPHCORE_TARGET_ACCESS_PYTHON_DIR
    "${PACKAGE_PREFIX_DIR}/lib/python")

set_and_check(GRAPHCORE_TARGET_ACCESS_SHARE_DIR
    "${PACKAGE_PREFIX_DIR}/share")

set_and_check(GRAPHCORE_TARGET_ACCESS_ERROR_DOC
    "${PACKAGE_PREFIX_DIR}/share")

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}")

# Compute paths
get_filename_component(GRAPHCORE_TARGET_ACCESS_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

# Our library dependencies (contains definitions for IMPORTED targets)
if(NOT TARGET graphcore_target_access AND NOT graphcore_target_access_BINARY_DIR)
  include("${GRAPHCORE_TARGET_ACCESS_CMAKE_DIR}/graphcore_target_access-targets.cmake")
endif()

# If GCDA_PACKAGE_NO_IMPORTS is set, skip importing any child packages
# This is intended for Poplar which only needs the IPUAttributes.h header
if (NOT GCDA_PACKAGE_NO_IMPORTS)
  find_package(Boost REQUIRED COMPONENTS system)
  find_package(graphcore_binary REQUIRED)

  if(UNIX AND NOT APPLE)
    find_package(ipu_user REQUIRED)
  endif()

  find_package(Threads REQUIRED)
  find_package(spdlog 1.8.0 REQUIRED)

  if(WIN32)
    add_definitions(-DBOOST_DATE_TIME_NO_LIB -DBOOST_REGEX_NO_LIB)
  endif()
endif()
