//
// Copyright (c) Graphcore Ltd. All rights reserved.
//
// Automatically generated file.
//
// Generated by: GenerateAttributes.py
// Input file: attributes.json
package gcipuinfo

  // Unique identifier of a single-IPU or multi-IPU device.
  const DeviceId = "id"
  // Average temperature in degrees Celsius as read by the sensors on the board.
  const AverageBoardTemp = "average board temp"
  // Average temperature in degrees Celsius as read by IPU sensors.
  const AverageDieTemp = "average die temp"
  // IPU number on board (0-1 for PCIe cards, 0-3 for IPU-Machines).
  const BoardIpuIndex = "board ipu index"
  // The IPU board type 'family', for example C600 or M2000. Note: M2000 includes IPU-M2000 and Bow-2000.
  const BoardType = "board type"
  // Current clock frequency.
  const ClockFrequency = "clock"
  // PCIe driver version, specified as a <major.minor.patch> triple.
  const DriverVersion = "driver version"
  // (IPUoF) IPU-Gateway software version, specified as a <major.minor.patch> triple.
  const GatewaySoftwareVersion = "gateway software version"
  // (IPUoF) Graphcore Compile Domain ID.
  const GcdId = "gcd id"
  // Total remote-buffer memory available.
  const HexoattTotalSize = "hexoatt total size (bytes)"
  // Total remote buffer-memory in use by the IPU.
  const HexoattActiveSize = "hexoatt active size (bytes)"
  // Total host exchange memory available.
  const HexoptTotalSize = "hexopt total size (bytes)"
  // Total host exchange memory in use by the IPU.
  const HexoptActiveSize = "hexopt active size (bytes)"
  // IPU hardware architecture version.
  const IpuArchitecture = "ipu architecture"
  // (IPUoF) IP address of IPU-Gateway.
  const IpuofHost = "ipuof host"
  // (IPUoF) Fabric server version.
  const IpuofServerVersion = "ipuof server version"
  // Percentage of time spent waiting for one or more IPU syncs, measured in the last second.
  const IpuUtilisation = "ipu utilisation"
  // Percentage of time spent waiting for one or more IPU syncs since the HSPs were set up.
  const IpuUtilisationSession = "ipu utilisation (session)"
  // IPU Link correctable error count.
  const LinkCorrectableErrorCount = "link correctable error count"
  // (PCIe) PCIe link speed available.
  const LinkSpeed = "link speed"
  // (PCIe) Number of PCIe lanes available.
  const LinkWidth = "link width"
  // Maximum active code size (bytes).
  const MaxActiveCodeSize = "max active code size (bytes)"
  // Maximum active data size (bytes).
  const MaxActiveDataSize = "max active data size (bytes)"
  // Maximum active stack size (bytes).
  const MaxActiveStackSize = "max active stack size (bytes)"
  // Multi-IPU device the IPU belongs to.
  const MultiIpuDeviceId = "multi-ipu device id"
  // Method used to discover multi-IPU groups.
  const MultiIpuDiscoveryMethod = "multi-ipu discovery method"
  // NUMA node the IPU is on.
  const NumaNode = "numa node"
  // (IPUoF) Number of IPU-Link segments.
  const NumIpuLinkSegments = "number of ipu-link segments"
  // (IPUoF) Number of replicas in the partition.
  const NumReplicas = "number of replicas"
  // (IPUoF) partition ID.
  const PartitionId = "ipuof partition id"
  // (IPUoF) sync configuration type, for example 'c2-compatible'.
  const PartitionSyncType = "partition sync type"
  // PCIe device identifier.
  const PciId = "pci id"
  // PCIe physical slot.
  const PhysicalSlot = "pcie physical slot"
  // The start time of the process currently using the IPU.
  const ProcessStartTime = "process start time"
  // (IPUoF) Set to 1 if the IPU is part of a reconfigurable partition.
  const ReconfigurablePartition = "reconfigurable partition"
  // Set to 1 if remote buffers are supported.
  const RemoteBuffersSupported = "remote buffers supported"
  // Serial number of the board.
  const SerialNumber = "board serial number"
  // Total current power consumption as read by board level sensors.  Not used on IPU-Machines
  const TotalBoardPower = "total board power"
  // The name of the process using the device.
  const UserExecutable = "user executable"
  // The username of the user using the device.
  const UserName = "user name"
  // The process IDs of the process using the device.
  const UserProcessId = "user process id"
  // (IPUoF) GW-Link routing type.
  const GatewayRoutingType = "gateway routing type"
  // (IPUoF) Identifier of IPU-Link segment.
  const IpuLinkSegmentId = "ipu link segment id"
  // Number of Graph Compile Domains.
  const NumGcds = "number of gcds"
  // ICU Firmware version, specified as a <major.minor.patch> triple.  In development builds, this will be suffixed with branch and build information.
  const FirmwareVersion = "firmware version"
  // (IPUoF) Set if error occurred while attempting to communicate with the IPUoF server (a 'connection' error), or if the IPUoF server was unable to use the device (a 'device' error)
  const IpuofServerError = "ipuof server error"
  // (PCIe) Host Link correctable error count.
  const HostLinkCorrectableErrorCount = "host link correctable error count"
  // (IPUoF) IP address of the headnode where the application using this IPU is running.
  const ApplicationHost = "application host"
  // Error state of the IPU. Set to 'ipu memory failure' if the tile parity error thresholds have been exceeded.
  const IpuErrorState = "ipu error state"
  // Threshold for number of parity errors to promote to a unrecoverable error.
  const ParityErrorCountThreshold = "parity error count threshold"
  // Threshold in seconds at which 'num parity errors' are promoted to an uncorrectable error.
  const ParityErrorThresholdInterval = "parity error threshold interval"
  // (IPUoF) IPU-M software version.
  const IpumSoftwareVersion = "ipum software version"
  // Power consumption of a single IPU.  Only available on IPU-Machines
  const IpuPower = "ipu power"
  // IPU Link correctable error count since device was last reset.
  const LinkCorrectableErrorCountSession = "link correctable error count (session)"
  // (PCIe) Host-Link correctable error count since device was last reset.
  const HostLinkCorrectableErrorCountSession = "host link correctable error count (session)"
  // IPU board model name.  This will be identical to BoardType if this product only has a single variant.
  const BoardVariant = "board variant"
  // Gateway write combining status.
  const GatewayWriteCombining = "gateway write combining"
  // Set to 1 if the secondary interface is supported.
  const SecondaryPcieInterfaceSupported = "secondary pcie interface supported"
  // ICU bootloader version, specified as a <major.minor.patch> triple. In development builds, this will be suffixed with branch and build information.
  const ICUBootloaderVersion = "icu bootloader version"
