/*
 * Copyright (c) 2021 Graphcore Ltd, All rights reserved.
 */

// gcipuinfo examples:
// Display a message if an application is running on deviceOfInterest
// This demonstrates the getNamedAttributeForDevice() function.

#include <iostream>
#include <string>

#include "graphcore_target_access/gcipuinfo/IPUAttributeLabels.h"
#include "graphcore_target_access/gcipuinfo/gcipuinfo.h"

int main() {
  gcipuinfo inventory;
  int deviceOfInterest = 0; // device id

  std::string exeName = inventory.getNamedAttributeForDevice(
      deviceOfInterest, IPUAttributeLabels::UserExecutable);
  std::string userName = inventory.getNamedAttributeForDevice(
      deviceOfInterest, IPUAttributeLabels::UserName);

  if (!exeName.empty()) {
    std::cout << "User " << userName << " is running application " << exeName
              << " on device " << deviceOfInterest << "\n";
  } else {
    std::cout << "Device " << deviceOfInterest << " is idle\n";
  }

  return 0;
}
