//
// Copyright (c) 2021 Graphcore Ltd, All rights reserved.
//

// gcipuinfo examples:
// Display a list of applications currently using IPUs (if any).
// This is a simple demonstration of the GetNamedAttributeForAll()
// function.

package main

import (
	"os"
	"fmt"
	"gcipuinfo"
)

func main() {

	discoveryMode := gcipuinfo.DiscoverActivePartitionIPUs
	if len(os.Args) > 1 {
		if os.Args[1] == "--all-partitions" {
			discoveryMode = gcipuinfo.DiscoverAllPartitionIPUs
		} else {
			fmt.Println("Error, unrecognised option.")
			fmt.Println("Specify --all-partitions to show IPUs in all partitions")
			os.Exit(1)
		}
	}

	inventory := gcipuinfo.NewGcipuinfo(discoveryMode)
	var exeNames []string = inventory.GetNamedAttributeForAll(gcipuinfo.UserExecutable)
	fmt.Println("Graphcore active apps: ", len(exeNames))
	for index, exeName := range exeNames {
			if len(exeName) > 0 {
				fmt.Printf(" o application #%d: [%s]\n", index, exeName)
			}
	}
}
