//
// Copyright (c) 2021 Graphcore Ltd, All rights reserved.
//

// gcipuinfo examples:
// Display a message if an application is running on deviceOfInterest
// This demonstrates the GetNamedAttributeForDevice() function.

package main

import (
	"fmt"
	"gcipuinfo"
)

func main() {

	inventory := gcipuinfo.NewGcipuinfo()
	deviceOfInterest := 0 // device id
	exeName := inventory.GetNamedAttributeForDevice(deviceOfInterest, gcipuinfo.UserExecutable)
	userName := inventory.GetNamedAttributeForDevice(deviceOfInterest, gcipuinfo.UserName)
	if len(exeName) > 0 {
		fmt.Printf("User %s is running application %s on device %d\n", userName, exeName, deviceOfInterest)
	} else {
		fmt.Printf("Device %d is idle\n", deviceOfInterest)
	}
}
