#
# Copyright (c) 2021 Graphcore Ltd, All rights reserved.
#

# gcipuinfo examples: 
# Display a list of applications currently using IPUs (if any).
# This is a simple demonstration of the getNamedAttributeForAll()
# function.

import sys
import gcipuinfo

discovery_mode = gcipuinfo.DiscoverActivePartitionIPUs
if len(sys.argv) > 1:
  if sys.argv[1] == "--all-partitions":
    discovery_mode = gcipuinfo.DiscoverAllPartitionIPUs
  else:
    print("Error, unrecognised option.")
    print("Specify --all-partitions to show IPUs in all partitions")
    sys.exit(1)

inventory = gcipuinfo.gcipuinfo(discovery_mode)
apps = inventory.getNamedAttributeForAll(gcipuinfo.UserExecutable)

print("Graphcore active apps: " + str(len(apps)))
for index, exe_name in enumerate(apps):
  if exe_name:
    print(" o application #{}: [{}]".format(index, exe_name))
