#
# Copyright (c) 2021 Graphcore Ltd, All rights reserved.
#
# This is a simple script to generate fake
# event record entries that can then be read with the
# gc_event_record examples.
#
# Note that this program uses GCDA, it does NOT use gcipuinfo

import sys
import os
import GraphcoreDeviceAccess


os.environ["IPU_APP_EVENT_RECORD_PATH"] = "/tmp/ipu_app_event_record_1"

gcda = GraphcoreDeviceAccess.GraphcoreDeviceAccess()

gcda.instance.attach(0) # device 0 will appear in "attached ipus"

event_description = "this is an example message"

# these ipus will appear in "specific ipus".  In a real application
# they would be a subset of the attached devices
specific_ipus = [1, 2] 

# e.g. EventSevWarning, EventSevApplicationError, etc
severity = gcda.eventRecord.EventSevNonRecoverable

ok = gcda.eventRecord.storeAppEventRecord(severity, event_description, specific_ipus)
if not ok:
  print("Error, failed to store event record")
  sys.exit(1)