//
// Copyright (c) Graphcore Ltd. All rights reserved.
//
// Automatically generated file.
//
// Generated by: GenerateAttributes.py
// Input file: attributes.json
// Public attribute label definitions.
#include "graphcore_target_access/gcipuinfo/IPUAttributeLabels.h"

/** IPU devices have attributes associated with them.  The definitions below
    describe the attribute and the key labels that can be used to retrieve the
    attribute values.

    Note not all attributes will be set for a given device. Some are set for
    specific device types only, where this is the case the relevant device type
    is indicated in brackets, for example (IPUoF). Attributes relating to the
    process using an IPU are only set when the IPU is in use.
*/

namespace IPUAttributeLabels {
  /// Unique identifier of a single-IPU or multi-IPU device.
  extern const std::string DeviceId = "id";
  /// Average temperature in degrees Celsius as read by the sensors on the board.
  extern const std::string AverageBoardTemp = "average board temp";
  /// Average temperature in degrees Celsius as read by IPU sensors.
  extern const std::string AverageDieTemp = "average die temp";
  /// IPU number on board (0-1 for PCIe cards, 0-3 for IPU-Machines).
  extern const std::string BoardIpuIndex = "board ipu index";
  /// The IPU board type 'family', for example C600 or M2000. Note: M2000 includes IPU-M2000 and Bow-2000.
  extern const std::string BoardType = "board type";
  /// Current clock frequency.
  extern const std::string ClockFrequency = "clock";
  /// PCIe driver version, specified as a <major.minor.patch> triple.
  extern const std::string DriverVersion = "driver version";
  /// (IPUoF) IPU-Gateway software version, specified as a <major.minor.patch> triple.
  extern const std::string GatewaySoftwareVersion = "gateway software version";
  /// (IPUoF) Graphcore Compile Domain ID.
  extern const std::string GcdId = "gcd id";
  /// Total remote-buffer memory available.
  extern const std::string HexoattTotalSize = "hexoatt total size (bytes)";
  /// Total remote buffer-memory in use by the IPU.
  extern const std::string HexoattActiveSize = "hexoatt active size (bytes)";
  /// Total host exchange memory available.
  extern const std::string HexoptTotalSize = "hexopt total size (bytes)";
  /// Total host exchange memory in use by the IPU.
  extern const std::string HexoptActiveSize = "hexopt active size (bytes)";
  /// IPU hardware architecture version.
  extern const std::string IpuArchitecture = "ipu architecture";
  /// (IPUoF) IP address of IPU-Gateway.
  extern const std::string IpuofHost = "ipuof host";
  /// (IPUoF) Fabric server version.
  extern const std::string IpuofServerVersion = "ipuof server version";
  /// Percentage of time spent waiting for one or more IPU syncs, measured in the last second.
  extern const std::string IpuUtilisation = "ipu utilisation";
  /// Percentage of time spent waiting for one or more IPU syncs since the HSPs were set up.
  extern const std::string IpuUtilisationSession = "ipu utilisation (session)";
  /// IPU Link correctable error count.
  extern const std::string LinkCorrectableErrorCount = "link correctable error count";
  /// (PCIe) PCIe link speed available.
  extern const std::string LinkSpeed = "link speed";
  /// (PCIe) Number of PCIe lanes available.
  extern const std::string LinkWidth = "link width";
  /// Maximum active code size (bytes).
  extern const std::string MaxActiveCodeSize = "max active code size (bytes)";
  /// Maximum active data size (bytes).
  extern const std::string MaxActiveDataSize = "max active data size (bytes)";
  /// Maximum active stack size (bytes).
  extern const std::string MaxActiveStackSize = "max active stack size (bytes)";
  /// Multi-IPU device the IPU belongs to.
  extern const std::string MultiIpuDeviceId = "multi-ipu device id";
  /// Method used to discover multi-IPU groups.
  extern const std::string MultiIpuDiscoveryMethod = "multi-ipu discovery method";
  /// NUMA node the IPU is on.
  extern const std::string NumaNode = "numa node";
  /// (IPUoF) Number of IPU-Link segments.
  extern const std::string NumIpuLinkSegments = "number of ipu-link segments";
  /// (IPUoF) Number of replicas in the partition.
  extern const std::string NumReplicas = "number of replicas";
  /// (IPUoF) partition ID.
  extern const std::string PartitionId = "ipuof partition id";
  /// (IPUoF) sync configuration type, for example 'c2-compatible'.
  extern const std::string PartitionSyncType = "partition sync type";
  /// PCIe device identifier.
  extern const std::string PciId = "pci id";
  /// PCIe physical slot.
  extern const std::string PhysicalSlot = "pcie physical slot";
  /// The start time of the process currently using the IPU.
  extern const std::string ProcessStartTime = "process start time";
  /// (IPUoF) Set to 1 if the IPU is part of a reconfigurable partition.
  extern const std::string ReconfigurablePartition = "reconfigurable partition";
  /// Set to 1 if remote buffers are supported.
  extern const std::string RemoteBuffersSupported = "remote buffers supported";
  /// Serial number of the board.
  extern const std::string SerialNumber = "board serial number";
  /// Total current power consumption as read by board level sensors.  Not used on IPU-Machines
  extern const std::string TotalBoardPower = "total board power";
  /// The name of the process using the device.
  extern const std::string UserExecutable = "user executable";
  /// The username of the user using the device.
  extern const std::string UserName = "user name";
  /// The process IDs of the process using the device.
  extern const std::string UserProcessId = "user process id";
  /// (IPUoF) GW-Link routing type.
  extern const std::string GatewayRoutingType = "gateway routing type";
  /// (IPUoF) Identifier of IPU-Link segment.
  extern const std::string IpuLinkSegmentId = "ipu link segment id";
  /// Number of Graph Compile Domains.
  extern const std::string NumGcds = "number of gcds";
  /// ICU Firmware version, specified as a <major.minor.patch> triple.  In development builds, this will be suffixed with branch and build information.
  extern const std::string FirmwareVersion = "firmware version";
  /// (IPUoF) Set if error occurred while attempting to communicate with the IPUoF server (a 'connection' error), or if the IPUoF server was unable to use the device (a 'device' error)
  extern const std::string IpuofServerError = "ipuof server error";
  /// (PCIe) Host Link correctable error count.
  extern const std::string HostLinkCorrectableErrorCount = "host link correctable error count";
  /// (IPUoF) IP address of the headnode where the application using this IPU is running.
  extern const std::string ApplicationHost = "application host";
  /// Error state of the IPU. Set to 'ipu memory failure' if the tile parity error thresholds have been exceeded.
  extern const std::string IpuErrorState = "ipu error state";
  /// Threshold for number of parity errors to promote to a unrecoverable error.
  extern const std::string ParityErrorCountThreshold = "parity error count threshold";
  /// Threshold in seconds at which 'num parity errors' are promoted to an uncorrectable error.
  extern const std::string ParityErrorThresholdInterval = "parity error threshold interval";
  /// (IPUoF) IPU-M software version.
  extern const std::string IpumSoftwareVersion = "ipum software version";
  /// Power consumption of a single IPU.  Only available on IPU-Machines
  extern const std::string IpuPower = "ipu power";
  /// IPU Link correctable error count since device was last reset.
  extern const std::string LinkCorrectableErrorCountSession = "link correctable error count (session)";
  /// (PCIe) Host-Link correctable error count since device was last reset.
  extern const std::string HostLinkCorrectableErrorCountSession = "host link correctable error count (session)";
  /// IPU board model name.  This will be identical to BoardType if this product only has a single variant.
  extern const std::string BoardVariant = "board variant";
  /// Gateway write combining status.
  extern const std::string GatewayWriteCombining = "gateway write combining";
  /// Set to 1 if the secondary interface is supported.
  extern const std::string SecondaryPcieInterfaceSupported = "secondary pcie interface supported";
  /// ICU bootloader version, specified as a <major.minor.patch> triple. In development builds, this will be suffixed with branch and build information.
  extern const std::string ICUBootloaderVersion = "icu bootloader version";
} // namespace IPUAttributeLabels

